# Pretty Simple JSON-Schema Javascript Proxy validator.

## API:

```javascript
const jsonSchemaProxy = require('json-schema-proxy')

const proxiedObject = jsonSchemaProxy(objectToProxy, inputJsonSchema, outputJsonSchema)

```
`proxiedObject.foo = 'some value'` will cause exception in case of failed inSchema validation. Object remains untouched 

`let variable      = proxiedObject.foo` will give undefined in case of failed outSchema validation.

`outSchema` can be omitted if you don't need output validation.

`outSchema` filters wrong fields or `additionalProperties` not listed in outSchema
